ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Iface.Errors

Contents

- Utility functions

Synopsis

- badIfaceFile :: String -> SDoc -> SDoc
- hiModuleNameMismatchWarn :: Module -> Module -> SDoc
- homeModError :: InstalledModule -> ModLocation -> SDoc
- cannotFindInterface :: UnitState -> Maybe HomeUnit -> Profile -> ([FilePath] -> SDoc) -> ModuleName -> InstalledFindResult -> SDoc
- cantFindInstalledErr :: SDoc -> SDoc -> UnitState -> Maybe HomeUnit -> Profile -> ([FilePath] -> SDoc) -> ModuleName -> InstalledFindResult -> SDoc
- cannotFindModule :: HscEnv -> ModuleName -> FindResult -> SDoc
- cantFindErr :: BuildingCabalPackage -> SDoc -> SDoc -> UnitEnv -> Profile -> ([FilePath] -> SDoc) -> ModuleName -> FindResult -> SDoc
- mayShowLocations :: DynFlags -> [FilePath] -> SDoc

# Documentation

badIfaceFile :: String -> SDoc -> SDoc Source #

hiModuleNameMismatchWarn :: Module -> Module -> SDoc Source #

homeModError :: InstalledModule -> ModLocation -> SDoc Source #

cannotFindInterface :: UnitState -> Maybe HomeUnit -> Profile -> ([FilePath] -> SDoc) -> ModuleName -> InstalledFindResult -> SDoc Source #

cantFindInstalledErr :: SDoc -> SDoc -> UnitState -> Maybe HomeUnit -> Profile -> ([FilePath] -> SDoc) -> ModuleName -> InstalledFindResult -> SDoc Source #

cannotFindModule :: HscEnv -> ModuleName -> FindResult -> SDoc Source #

cantFindErr Source #

Arguments

:: BuildingCabalPackage | Using Cabal?
-> SDoc |
-> SDoc |
-> UnitEnv |
-> Profile |
-> ([FilePath] -> SDoc) |
-> ModuleName |
-> FindResult |
-> SDoc |

# Utility functions

mayShowLocations :: DynFlags -> [FilePath] -> SDoc Source #